Package com.sun.messaging.jms

# Class MQRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
jakarta.jms.JMSRuntimeException
com.sun.messaging.jms.MQRuntimeException

All Implemented Interfaces:
  `com.sun.messaging.jmq.jmsclient.logging.Loggable`, `Serializable`

public class MQRuntimeException extends jakarta.jms.JMSRuntimeException implements com.sun.messaging.jmq.jmsclient.logging.Loggable
This class is the MQ-specific implementation of jakarta.jms.JMSRuntimeException and adds the methods setLogState and getlogState

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MQRuntimeException(jakarta.jms.JMSException cause)`
  Construct a `MQRuntimeException` to wrap the specified JMSException
  `MQRuntimeException(String detailMessage)`
  Constructs a `MQRuntimeException` with the specified detail message
  `MQRuntimeException(String detailMessage, String errorCode)`
  Constructs a `MQRuntimeException` with the specified detail message and error code.
  `MQRuntimeException(String detailMessage, String errorCode, Throwable cause)`
  Constructs a `MQRuntimeException` with the specified detail message, error code and cause

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getLogState()`
  return whether this object is logged
  `void`
  `setLogState(boolean state)`
  Specify whether this object is logged.

  ### Methods inherited from class jakarta.jms.JMSRuntimeException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MQRuntimeException

    public MQRuntimeException(String detailMessage, String errorCode)
    Constructs a `MQRuntimeException` with the specified detail message and error code.
    Parameters:
      `detailMessage` - a description of the exception
      `errorCode` - a provider-specific error code

  - ### MQRuntimeException

    public MQRuntimeException(String detailMessage)
    Constructs a `MQRuntimeException` with the specified detail message
    Parameters:
      `detailMessage` - a description of the exception

  - ### MQRuntimeException

    public MQRuntimeException(String detailMessage, String errorCode, Throwable cause)
    Constructs a `MQRuntimeException` with the specified detail message, error code and cause
    Parameters:
      `detailMessage` - a description of the exception
      `errorCode` - a provider-specific error code
      `cause` - the underlying cause of this exception

  - ### MQRuntimeException

    public MQRuntimeException(jakarta.jms.JMSException cause)
    Construct a `MQRuntimeException` to wrap the specified JMSException
    Parameters:
      `cause` - the underlying cause of this exception

- ## Method Details

  - ### setLogState

    public void setLogState(boolean state)
    Specify whether this object is logged.
    Specified by:
      `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Parameters:
      `state` - whether this object is logged

  - ### getLogState

    public boolean getLogState()
    return whether this object is logged
    Specified by:
      `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Returns:
      whether this object is logged